%define module_name Algorithm-AM
# BEGIN SourceDeps(oneline):
BuildRequires: libsowing-devel perl(Carp.pm) perl(Class/Tiny.pm) perl(Exporter/Easy.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(FindBin.pm) perl(Getopt/Long.pm) perl(Import/Into.pm) perl(Log/Any.pm) perl(Log/Any/Adapter.pm) perl(Path/Tiny.pm) perl(Pod/Usage.pm) perl(Test/Deep.pm) perl(Test/Exception.pm) perl(Test/LongString.pm) perl(Test/More.pm) perl(Test/NoWarnings.pm) perl(Text/Table.pm) perl(XSLoader.pm) perl(feature.pm) perl(integer.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 3.13
Release: alt1
Summary: Classify data with Analogical Modeling
Group: Development/Perl
License: perl
URL: https://github.com/garfieldnate/Algorithm-AM

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/N/NG/NGLENN/%{module_name}-%{version}.tar.gz

%description
From summary: %summary

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %{?epoch:%epoch:}%version-%release
BuildArch: noarch

%description scripts
scripts for %module_name

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc TODO.txt LICENSE Changes DEVELOPING.md
%perl_vendor_archlib/A*
%perl_vendor_autolib/*

%files scripts
%_man1dir/*
%_bindir/*

%changelog
* Mon Apr 07 2025 Igor Vlasenko <viy@altlinux.org> 3.13-alt1
- updated by package builder

* Wed Nov 29 2023 Igor Vlasenko <viy@altlinux.org> 3.12-alt3
- rebuild with perl 5.38

* Wed Jun 16 2021 Igor Vlasenko <viy@altlinux.org> 3.12-alt2
- rebuild with perl 5.34.0

* Wed Apr 14 2021 Igor Vlasenko <viy@altlinux.ru> 3.12-alt1
- updated by package builder

* Thu Oct 01 2020 Igor Vlasenko <viy@altlinux.ru> 3.11-alt3.1
- rebuild with perl 5.30

* Fri Feb 01 2019 Cronbuild Service <cronbuild@altlinux.org> 3.11-alt2.1
- rebuild with perl 5.28.1

* Mon Dec 18 2017 Igor Vlasenko <viy@altlinux.ru> 3.11-alt2
- rebuild with perl 5.26

* Thu Nov 16 2017 Igor Vlasenko <viy@altlinux.ru> 3.11-alt1
- regenerated from template by package builder

* Sun Feb 12 2017 Cronbuild Service <cronbuild@altlinux.org> 3.10-alt2
- rebuild to get rid of unmets

* Thu Jun 09 2016 Igor Vlasenko <viy@altlinux.ru> 3.10-alt1
- regenerated from template by package builder

* Fri Nov 27 2015 Igor Vlasenko <viy@altlinux.ru> 3.09-alt1.1
- rebuild with perl 5.22

* Sun Oct 18 2015 Igor Vlasenko <viy@altlinux.ru> 3.09-alt1
- regenerated from template by package builder

* Mon Dec 15 2014 Cronbuild Service <cronbuild@altlinux.org> 3.05-alt2
- rebuild to get rid of unmets

* Wed Oct 22 2014 Igor Vlasenko <viy@altlinux.ru> 3.05-alt1
- regenerated from template by package builder

* Thu Oct 16 2014 Igor Vlasenko <viy@altlinux.ru> 3.04-alt1
- regenerated from template by package builder

* Mon Jun 23 2014 Igor Vlasenko <viy@altlinux.ru> 3.02-alt1
- regenerated from template by package builder

* Fri Mar 07 2014 Igor Vlasenko <viy@altlinux.ru> 2.45-alt1
- initial import by package builder

